/**
 * Title:        CoCompose2
 * Copyright:    Copyright (c) 2004
 * Author:       Dennis Wagelaar
 * Organisation: Vrije Universiteit Brussel
 * Description:  CoCompose2 Model Driven Design Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 * 
 * $Id: FileTransferDragSourceListener.java,v 1.1 2004/04/27 16:43:58 dwagelaa Exp $
 * $Log: FileTransferDragSourceListener.java,v $
 * Revision 1.1  2004/04/27 16:43:58  dwagelaa
 * + added drag-n-drop
 * + added copy/paste
 * + added general copying operation
 * - removed examples (in separate module now)
 *
 */

package be.ac.vub.cocompose.eclipse.dnd;

import org.eclipse.gef.EditPartViewer;
import org.eclipse.gef.dnd.AbstractTransferDragSourceListener;
import org.eclipse.swt.dnd.DragSourceEvent;
import org.eclipse.swt.dnd.TextTransfer;
import org.eclipse.swt.dnd.Transfer;

/**
 * This listener handles files that are dropped onto
 * the CoCompose editor.
 * @author Dennis Wagelaar
 * @version 0.2.9, 27/04/2004
 * @since 0.2.9
 */
public class FileTransferDragSourceListener
  extends AbstractTransferDragSourceListener
{
  /**
   * Creates a FileTransferDragSourceListener.
   * @param viewer the CoCompose model viewer.
   */
  public FileTransferDragSourceListener(EditPartViewer viewer)
  {
    super(viewer, TextTransfer.getInstance());
  }

  /**
   * Creates a FileTransferDragSourceListener.
   * @param viewer the CoCompose model viewer.
   * @param xfer
   */
  public FileTransferDragSourceListener(EditPartViewer viewer, Transfer xfer)
  {
    super(viewer, xfer);
  }

  /**
   * @see org.eclipse.swt.dnd.DragSourceListener#dragSetData(org.eclipse.swt.dnd.DragSourceEvent)
   */
  public void dragSetData(DragSourceEvent event)
  {
    event.data = getClass().getName();
  }
}
