/**
 * Title:        CoCompose2
 * Copyright:    Copyright (c) 2004
 * Author:       Dennis Wagelaar
 * Organisation: Vrije Universiteit Brussel
 * Description:  CoCompose2 Model Driven Design Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 * 
 * $Id: CoComposeTreeEditPolicy.java,v 1.1 2004/04/28 12:24:36 dwagelaa Exp $
 * $Log: CoComposeTreeEditPolicy.java,v $
 * Revision 1.1  2004/04/28 12:24:36  dwagelaa
 * worked on drag-n-drop
 * updated copy/paste
 * updated deep copy operation
 *
 */

package be.ac.vub.cocompose.eclipse.editpolicies;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.Request;
import org.eclipse.gef.commands.Command;
import org.eclipse.gef.commands.UnexecutableCommand;
import org.eclipse.gef.editpolicies.AbstractEditPolicy;

/**
 * Edit policy for CoCompose tree elements.
 * @author Dennis Wagelaar
 * @version 0.2.9, 28/04/2004
 * @since 0.2.9
 */
public class CoComposeTreeEditPolicy extends AbstractEditPolicy
{
  /**
   * @see org.eclipse.gef.EditPolicy#getCommand(org.eclipse.gef.Request)
   */
  public Command getCommand(Request req)
  {
    if (REQ_MOVE.equals(req.getType()))
      return getMoveCommand(req);
    return null;
  }
  
  /**
   * Gets a move command.
   * @param req
   * @return the move command.
   */
  protected Command getMoveCommand(Request req)
  {
    EditPart parent = getHost().getParent();
    if (parent != null)
    {
      req.setType(REQ_MOVE_CHILDREN);
      Command cmd = parent.getCommand(req);
      req.setType(REQ_MOVE);
      return cmd;
    } 
    else 
    {
      return UnexecutableCommand.INSTANCE;
    }
  }
}
