package be.ac.vub.cocompose.lang.constraints;

import java.util.Collection;
import be.ac.vub.cocompose.lang.core.ModelElement;

/**
 * Model element constraint interface.
 * @author Dennis Wagelaar 
 * @version 0.2.0
 * @since 0.2.0
 */
public interface ElementConstraint extends Constraint
{
  Collection getConstrainedElements();

  /**
   * Adds a constrained element.
   * @param constrainedElement - the element to add. 
   */
  void addConstrainedElement(ModelElement constrainedElement);

  /**
   * Removes a constrained element.
   * @param constrainedElement - the element to remove. 
   */
  void removeConstrainedElement(ModelElement constrainedElement);
}
